apvlv(1)

NAME
apvlv - PDF/DJVU/UMD/HTML/TXT viewer with vim-like behaviour

SYNOPSIS
apvlv [options] [file]

DESCRIPTION
apvlv is a PDF/DJVU/UMD/HTML/TXT viewer, which behaves like vim.

OPTIONS

-c file
    Load configuration from file instead of the default ~/.apvlvrc

-h  Show help message and exit

-v  Show version and exit

COMMANDS
The following command keys can be used inside apvlv. Some of them may be prefixed by a number (as in pressing "13G"), this is indicated by a count in their description. Unless noted otherwise, the default value for the number is 1.

o   Display file chooser to open a PDF/DJVU/UMD/HTML/TXT file

O   Select a directory to display

t   Display file chooser to open a PDF/DJVU/UMD/HTML/TXT file in a new tab

T   Select a directory to display in a new tab

R   Reload the current file

r   Rotate the document clockwise by 90 degrees

G   Show page number count

gt  Show next tab

gT  Show previous tab

PageDown, C-f
    Go forward count pages

PageUp, C-b
    Go backward count pages

C-d Go forward count half pages

C-u Go backward count half pages

H   Scroll to page head

M   Scroll to page middle

L   Scroll to page bottom

s   skip some pages count

C-p, Up, k
    Scroll up count units

C-n, Down, h
    Scroll down count units

Backspace, Left, h
    Scroll left count units

Space, Right, l
    Scroll right count units

/ string
    Search forwards for string

? string
    Search backwards for string

f   Toggle between fullscreen and window mode

zi  Zoom in

zo  Zoom out

zw  Zoom to fit window width

zh  Zoom to fit window height

m char
    Mark the current position to char, so that it can be recalled by pressing char

' char
    Return to the mark position char

''  Return to the last position

q   Close the current window

v   Select a area

C-v Select a rectange area

y   copy the select area text to clipboard

SETTINGS
These can be set in ~/.apvlvrc with "set setting [= value]".

fullscreen = yes/no
    Enable/Disable fullscreen

width = int
    Default window width

height = int
    Default window height

defaultdir = path
    Default directory for the open dialogue

zoom = mode
    Set default zoom level

    normal
        The application sets the default zoom value

    fitwidth
        Fit pages to window width

    fitheight
        Fit pages to window height

    float
        1.0 for 100%, 2.0 for 200%, etc.

content = yes/no
    Show content view first

continuous = yes/no
    Show PDF/DJVU/UMD/HTML/TXT pages continuously or not.

continuouspad = int
    Padding betwen pages for continuous = yes

autoscrollpage = yes/no
    Enable/Disable scrolling the pages when hitting a page tail/head

noinfo = yes/no
    Disable/Enable the usage of ~/.apvlvinfo

pdfcache = int
    Set pdf cache size

[no]cache
    Disable/Enable cache

scrollbar = yes/no
    Set show scrollbar or not

visualmode = yes/no
    Set use visual mode to select and copy text or not

wrapscan = yes/no
    Set wrapscan to search text or not

doubleclick = action
    Set default double click action

    none
        Selection nothing

    word
        Selection a word under the curcor to clipboard

    line
        Selection a line under the curcor to clipboard

    page
        Selection a page under the curcor to clipboard

guioptions = m/T/mT
    Weather display menu, toolbar or mean and toolbar.

autoreload = int
    If auto reload document after some seconds

inverted = yes/no
    If use inverted mode for pdf page

PROMPT
Like the COMMANDS, but prefixed with a colon:

:h[elp]
    Display the help document

:h[elp] info
    Display the help document (section "introduction")

:h[elp] command
    Display the help document (section "command")

:h[elp] setting
    Display the help document (section "setting")

:h[elp] prompt
    Display the help document (section "prompt")

:q[uit]
    Close the current window

:o[pen] file
    Open file

:doc file
    Load file into the current window

:TOtext [file]
    Translate file (or the current page) to a text file

:pr[int]
    Print the current document

:tabnew
    Create a new tab

:sp Horizontally split the current window

:vsp
    Vertically split the current window

:fp, :forwardpage [int]
    Go forward int pages (1 by default)

:bp, :prewardpage [int]
    Go backward int pages (1 by default)

:g, :goto int
    Go to page int

:z[oom] mode
    Set zoom to mode (see "set zoom" in SETTINGS)

:int
    Go to page int

AUTHORS
apvlv was written by Alf <naihe2010@126.com>.

This manual page was originally written by Stefan Ritter <xeno@thehappy.de> for the Debian project (but may be used by others), and was rewritten more beautifully by Daniel Friesel <foobar@derf.homelinux.org>.